/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_find_next_prime.c                               :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: mmillet <marvin@42.fr>                     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2017/09/18 19:10:13 by mmillet           #+#    #+#             */
/*   Updated: 2017/09/18 19:32:30 by mmillet          ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

int		ft_find_next_prime(int nb)
{
	int i;

	i = 2;
	if (nb <= 1)
		return (2);
	while (nb % i != 0)
		i++;
	if (i == nb)
		return (nb);
	else
	{
		while (1)
		{
			i = 2;
			nb++;
			while (nb % i != 0)
				i++;
			if (i == nb)
				return (nb);
		}
	}
}
